Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class DIGResponse

    java.lang.Object
      org.mindswap.pellet.dig.DIGResponse

    public class DIGResponse

extends java.lang.Object

Author:
  Evren Sirin

Constructor Summary
`DIGResponse(java.lang.String rootTag)`

Method Summary
`org.w3c.dom.Element` | `addBoolean(boolean b)`
`org.w3c.dom.Element` | `addConceptSet(java.util.Collection concepts)`
`org.w3c.dom.Element` | `addError(int code, java.lang.String details)`
`org.w3c.dom.Element` | `addIndividualPairSet(java.util.Map values)`
`org.w3c.dom.Element` | `addIndividualSet(java.util.Collection individuals)`
`org.w3c.dom.Element` | `addRoleSet(java.util.Collection roles, boolean attribute)`
`void` | `addSynonms(org.w3c.dom.Element parent, java.util.Collection elements, java.lang.String atom)`
`void` | `addValues(java.util.Collection values, java.lang.String id)`
`static org.w3c.dom.Document` | `createErrorResponse(int code, java.lang.String details)`
`static org.w3c.dom.Document` | `createKBResponse(java.lang.String uri)`
`static org.w3c.dom.Document` | `createOkResponse()`
`org.w3c.dom.Document` | `getDocument()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGResponse

    public DIGResponse(java.lang.String rootTag)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

### createOkResponse

    public static org.w3c.dom.Document createOkResponse()

### createKBResponse

    public static org.w3c.dom.Document createKBResponse(java.lang.String uri)

### createErrorResponse

    public static org.w3c.dom.Document createErrorResponse(int code,
                                                           java.lang.String details)

### addError

    public org.w3c.dom.Element addError(int code,
                                        java.lang.String details)

### addBoolean

    public org.w3c.dom.Element addBoolean(boolean b)

### addConceptSet

    public org.w3c.dom.Element addConceptSet(java.util.Collection concepts)

### addRoleSet

    public org.w3c.dom.Element addRoleSet(java.util.Collection roles,
                                          boolean attribute)

### addIndividualSet

    public org.w3c.dom.Element addIndividualSet(java.util.Collection individuals)

### addValues

    public void addValues(java.util.Collection values,
                          java.lang.String id)

### addIndividualPairSet

    public org.w3c.dom.Element addIndividualPairSet(java.util.Map values)

### addSynonms

    public void addSynonms(org.w3c.dom.Element parent,
                           java.util.Collection elements,
                           java.lang.String atom)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.